MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003297ATutorTests/Surveyspublic2008-01-24 00:512008-08-21 08:57
ReporterIndieRect 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6 
Target VersionFixed in Version1.6 
Summary0003297: Students can override one/all questions per page
DescriptionATutor version: 1.6 RC1

Students can easily override the setting of one/all questions per page when taking tests.

Steps to reproduce:
1. Go to Tests & Surveys page as a student.
2. Copy the URL to a test.
3. Paste the address to the browser address bar. It would look like "http://example.com/tools/test_intro.php?tid=123". [^]
4. Change "test_intro" to "take_test" or "take_test_q", whichever you like.
5. Press Enter.

Reason:
The take_test.php and take_test_q.php don't do any check for that setting.

Thus students can take tests in any way they want, regardless of the instructor-set options, and without their knowledge.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0002776)
harris (developer)
2008-01-25 06:43

Added a conditional before the page loads, and forward the user to the correct test format.

7250

- Issue History
Date Modified Username Field Change
2008-01-24 00:51 IndieRect New Issue
2008-01-24 00:51 IndieRect Affects version => SVN
2008-01-25 06:42 harris Status new => assigned
2008-01-25 06:42 harris Assigned To => harris
2008-01-25 06:43 harris Status assigned => resolved
2008-01-25 06:43 harris Fixed in Version => 1.6
2008-01-25 06:43 harris Resolution open => fixed
2008-01-25 06:43 harris Note Added: 0002776
2008-08-21 08:57 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker